package com.ruoyi.project.business.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 tp_area_basic_price
 *
 * @author ruoyi
 * @date 2024-05-20
 */
public class TpAreaBasicPrice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 电梯型号ID
     */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /**
     * 额定载重
     */
    @Excel(name = "额定载重")
    private Long ratedLoadCapacity;

    /**
     * 额定速度
     */
    @Excel(name = "额定速度")
    private BigDecimal ratedSpeed;

    /**
     * 标准开门宽度
     */
    @Excel(name = "标准开门宽度")
    private Long standardDoorWidth;

    /**
     * 标准开门高度
     */
    @Excel(name = "标准开门高度")
    private Long standardDoorHeight;

    /**
     * 最大提升高度
     */
    @Excel(name = "最大提升高度")
    private Long maxLiftingHeight;

    /**
     * 标准层站数
     */
    @Excel(name = "标准层站数")
    private Long standardFloors;

    /**
     * 基础价格
     */
    @Excel(name = "基础价格")
    private Long basicPrice;

    /**
     * 层站加价
     */
    @Excel(name = "层站加价")
    private Long addOnefloorPrice;

    /**
     * 层站减价
     */
    @Excel(name = "层站减价")
    private Long subtractOnefloorPrice;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setElevatorModelId(Long elevatorModelId) {
        this.elevatorModelId = elevatorModelId;
    }

    public Long getElevatorModelId() {
        return elevatorModelId;
    }

    public void setRatedLoadCapacity(Long ratedLoadCapacity) {
        this.ratedLoadCapacity = ratedLoadCapacity;
    }

    public Long getRatedLoadCapacity() {
        return ratedLoadCapacity;
    }

    public void setRatedSpeed(BigDecimal ratedSpeed) {
        this.ratedSpeed = ratedSpeed;
    }

    public BigDecimal getRatedSpeed() {
        return ratedSpeed;
    }

    public void setStandardDoorWidth(Long standardDoorWidth) {
        this.standardDoorWidth = standardDoorWidth;
    }

    public Long getStandardDoorWidth() {
        return standardDoorWidth;
    }

    public void setStandardDoorHeight(Long standardDoorHeight) {
        this.standardDoorHeight = standardDoorHeight;
    }

    public Long getStandardDoorHeight() {
        return standardDoorHeight;
    }

    public void setMaxLiftingHeight(Long maxLiftingHeight) {
        this.maxLiftingHeight = maxLiftingHeight;
    }

    public Long getMaxLiftingHeight() {
        return maxLiftingHeight;
    }

    public void setStandardFloors(Long standardFloors) {
        this.standardFloors = standardFloors;
    }

    public Long getStandardFloors() {
        return standardFloors;
    }

    public void setBasicPrice(Long basicPrice) {
        this.basicPrice = basicPrice;
    }

    public Long getBasicPrice() {
        return basicPrice;
    }

    public void setAddOnefloorPrice(Long addOnefloorPrice) {
        this.addOnefloorPrice = addOnefloorPrice;
    }

    public Long getAddOnefloorPrice() {
        return addOnefloorPrice;
    }

    public void setSubtractOnefloorPrice(Long subtractOnefloorPrice) {
        this.subtractOnefloorPrice = subtractOnefloorPrice;
    }

    public Long getSubtractOnefloorPrice() {
        return subtractOnefloorPrice;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("elevatorModelId", getElevatorModelId())
            .append("ratedLoadCapacity", getRatedLoadCapacity())
            .append("ratedSpeed", getRatedSpeed())
            .append("standardDoorWidth", getStandardDoorWidth())
            .append("standardDoorHeight", getStandardDoorHeight())
            .append("maxLiftingHeight", getMaxLiftingHeight())
            .append("standardFloors", getStandardFloors())
            .append("basicPrice", getBasicPrice())
            .append("addOnefloorPrice", getAddOnefloorPrice())
            .append("subtractOnefloorPrice", getSubtractOnefloorPrice())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
